Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.api
Interface PCSpecInfo

All Known Implementing Classes:
  EnginePCSpecInfo

public interface PCSpecInfo

Describes administrative information for a programming cycle specification.

See Also:
  `ALEPC.getPCSpecInfo(java.lang.String)`

Method Summary
`int` | `getActivationCount()` Returns the number of times the programming cycle for the PCSpec has been activated since it was defined.
`long` | `getCacheSize()` Tells how many entries remain in the PCSpec's associated EPC cache.
`long` | `getLastActivated()` Returns the last time the programming cycle for the PCSpec was activated.
`long` | `getLastReported()` Returns the last time a write report was generated by the programming cycle for the PCSpec.
`int` | `getSubscriberCount()` Returns the number of URIs subscribed to a PCSpec.
`boolean` | `isSuspended()` Returns true if the PCSpec processing is suspended.

Method Detail

### getSubscriberCount

    public int getSubscriberCount()

  Returns the number of URIs subscribed to a PCSpec.

### getActivationCount

    public int getActivationCount()

  Returns the number of times the programming cycle for the PCSpec has been activated since it was defined.

### getLastActivated

    public long getLastActivated()

  Returns the last time the programming cycle for the PCSpec was activated.

  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis(). If the programming cycle has never been activated, returns -1.

### getLastReported

    public long getLastReported()

  Returns the last time a write report was generated by the programming cycle for the PCSpec.

  Returns:
    A time in milliseconds, as returned from System.currentTimeMillis(). If a report has never been generated, returns -1.

### isSuspended

    public boolean isSuspended()

  Returns true if the PCSpec processing is suspended.

  See Also:
    `ALEPC.suspend(java.lang.String)`

### getCacheSize

    public long getCacheSize()

  Tells how many entries remain in the PCSpec's associated EPC cache.

  Returns:
    A count of the entries remaining in the EPC cache being used by this PCSpec..

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD